package com.yunzhi.liyuanhui.common;

import com.yunzhi.liyuanhui.entity.SysUser;
import com.yunzhi.liyuanhui.entity.TaPerson;
import com.yunzhi.liyuanhui.service.ISysUserService;
import com.yunzhi.liyuanhui.service.ITaPersonService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;

import javax.servlet.http.HttpServletRequest;
import java.util.Map;

@Slf4j
public class BaseController {

    @Autowired
    ISysUserService iSysUserService;

    @Autowired
    ITaPersonService iTaPersonService;

    protected SysUser getUser(HttpServletRequest request) {
        try {
            Map<String, Object> params = JWTUtils.decode(JWTUtils.getToken(request));
            Integer userId = Integer.valueOf(params.get("id").toString());
            return iSysUserService.getById(userId);
        } catch (Exception e) {
//            e.printStackTrace();
            log.error("解析人员失败: {}", e.getMessage());
            return null;
        }
    }

    protected TaPerson getPerson(HttpServletRequest request) {
        try {
            Map<String, Object> params = JWTUtils.decode(JWTUtils.getToken(request));
            Integer personId = Integer.valueOf(params.get("id").toString());
            return iTaPersonService.getById(personId);
        } catch (Exception e) {
//            e.printStackTrace();
            log.error("解析客户失败: {}", e.getMessage());
            return null;
        }
    }
}
