package com.yunzhi.liyuanhui.controller;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.yunzhi.liyuanhui.common.BaseController;
import com.yunzhi.liyuanhui.common.ResponseBean;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.ResponseBody;
import com.yunzhi.liyuanhui.service.ITdGalleryTypeService;
import com.yunzhi.liyuanhui.entity.TdGalleryType;
import org.springframework.web.bind.annotation.RestController;

/**
 * <p>
    * 照片墙分类 生成照片墙的时候自动写入 前端控制器
    * </p>
 *
 * @author yansen
 * @since 2020-08-14
 */
@RestController
@RequestMapping("/")
public class TdGalleryTypeController extends BaseController {

    private final Logger logger = LoggerFactory.getLogger(TdGalleryTypeController.class);

    @Autowired
    public ITdGalleryTypeService iTdGalleryTypeService;


    /**
     * 分页查询列表
     * @param pageNum
     * @param pageSize
     * @return
     */
    @RequestMapping(value="/admin/galleryType",method= RequestMethod.GET)
    public ResponseBean tdGalleryTypeList(@RequestParam(value ="pageNum",defaultValue = "1") Integer pageNum,
                                          @RequestParam(value ="pageSize",defaultValue = "10") Integer pageSize) throws Exception{

        IPage<TdGalleryType> pg = new Page<>(pageNum, pageSize);
        QueryWrapper<TdGalleryType> queryWrapper = new QueryWrapper<>();
        queryWrapper.orderByDesc("type_id");

        IPage<TdGalleryType> result = iTdGalleryTypeService.page(pg, queryWrapper);
        return ResponseBean.success(result);
    }

    /**
     * 保存对象
     * @param tdGalleryType 实体对象
     * @return
     */
    @RequestMapping(value="/tdGalleryType",method= RequestMethod.POST)
    public ResponseBean tdGalleryTypeAdd(@RequestBody TdGalleryType tdGalleryType) throws Exception{

        if (iTdGalleryTypeService.save(tdGalleryType)){
            return ResponseBean.success(tdGalleryType);
        }else {
            return ResponseBean.error("保存失败", ResponseBean.ERROR_UNAVAILABLE);
        }
    }

    /**
     * 根据id删除对象
     * @param id  实体ID
     */
    @ResponseBody
    @RequestMapping(value="/tdGalleryType/{id}", method= RequestMethod.DELETE)
    public ResponseBean tdGalleryTypeDelete(@PathVariable Integer id) throws Exception{

        if(iTdGalleryTypeService.removeById(id)){
            return ResponseBean.success("success");
        }else {
            return ResponseBean.error("删除失败", ResponseBean.ERROR_UNAVAILABLE);
        }
    }

    /**
     * 修改对象
     * @param id  实体ID
     * @param tdGalleryType 实体对象
     * @return
     */
    @RequestMapping(value="/tdGalleryType/{id}",method= RequestMethod.PUT)
    public ResponseBean tdGalleryTypeUpdate(@PathVariable Integer id,
                                        @RequestBody TdGalleryType tdGalleryType) throws Exception{

        if (iTdGalleryTypeService.updateById(tdGalleryType)){
            return ResponseBean.success(tdGalleryType);
        }else {
            return ResponseBean.error("更新失败", ResponseBean.ERROR_UNAVAILABLE);
        }
    }

    /**
     * 根据id查询对象
     * @param id  实体ID
     */
    @RequestMapping(value="/tdGalleryType/{id}",method= RequestMethod.GET)
    public ResponseBean tdGalleryTypeGet(@PathVariable Integer id) throws Exception{
        return ResponseBean.success(iTdGalleryTypeService.getById(id));
    }
}
