package com.yunzhi.liyuanhui.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import java.util.List;

import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 活动
 * </p>
 *
 * @author yansen
 * @since 2020-08-08
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class TaActivity implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 活动ID
     */
    @TableId(value = "activity_id", type = IdType.AUTO)
    private Integer activityId;

    /**
     * 名称
     */
    private String name;

    /**
     * 活动类型ID
     */
    private Integer typeId;

    /**
     * 活动类型名称
     */
    private String typeName;

    /**
     * 简述
     */
    private String summary;

    /**
     * 开始时间
     */
    private LocalDateTime startDate;

    /**
     * 结束时间
     */
    private LocalDateTime endDate;

    /**
     * 地点
     */
    private String address;

    /**
     * 报名开始
     */
    private LocalDateTime enrollStart;

    /**
     * 报名截止
     */
    private LocalDateTime enrollEnd;

    /**
     * 投票开始
     */
    private LocalDateTime voteStart;

    /**
     * 投票结束
     */
    private LocalDateTime voteEnd;

    /**
     * 创建时间
     */
    private LocalDateTime createDate;

    /**
     * 状态
     */
    private Integer status;

    /**
     * 封面
     */
    private String thumb;

    /**
     * 详情
     */
    private String detail;

    /**
     * 是否暖场
     */
    private Boolean isWarm;

    /**
     * 是否投票
     */
    private Boolean isVote;

    /**
     * 票数
     */
    private Integer voteNum;

    /**
     * 是否报名
     */
    private Boolean isEnroll;

    /**
     * 报名人数
     */
    private Integer enrollNum;

    /**
     * 分享图
     */
    private String shareImg;

    /**
     * 分享标题
     */
    private String shareTitle;

    /**
     * 权重
     */
    private Integer weight;

    /**
     * 推荐到首页
     */
    private Boolean toIndex;

    /**
     * 投票列表
     */
    @TableField(exist = false)
    List<TaActivityVoteItem> voteItemList;
}
