package com.yunzhi.liyuanhui.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 照片墙
 * </p>
 *
 * @author yansen
 * @since 2020-08-08
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class TaGallery implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 照片ID
     */
    @TableId(value = "img_id", type = IdType.AUTO)
    private Integer imgId;

    /**
     * 照片地址
     */
    private String imgUrl;

    /**
     * 描述
     */
    @TableField("`desc`")
    private String desc;

    /**
     * 关联活动
     */
    private String activityId;

    /**
     * 分类
     */
    private String typeId;

    /**
     * 排序
     */
    private Integer sortNo;

    /**
     * 状态
     */
    private Integer status;

    /**
     * 上传日期
     */
    private LocalDateTime createDate;


}
