package com.yunzhi.liyuanhui.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 资讯
 * </p>
 *
 * @author yansen
 * @since 2020-08-08
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class TaNews implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 资讯ID
     */
    @TableId(value = "news_id", type = IdType.AUTO)
    private Integer newsId;

    /**
     * 标题
     */
    private String title;

    /**
     * 发布人
     */
    private String publisher;

    /**
     * 发布时间
     */
    private String publishDate;

    /**
     * 封面
     */
    private String thumb;

    /**
     * 内容
     */
    private String content;

    /**
     * 状态
     */
    private Integer status;

    /**
     * 权重
     */
    private Integer weight;

    /**
     * 创建时间
     */
    private LocalDateTime createDate;

    /**
     * 所属分类
     */
    private Integer typeId;

    /**
     * 分类名称
     */
    private String typeName;


}
