package com.yunzhi.liyuanhui.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.yunzhi.liyuanhui.entity.TaActivity;
import com.yunzhi.liyuanhui.entity.TaActivityVoteItem;
import com.yunzhi.liyuanhui.enums.StatusEnum;
import com.yunzhi.liyuanhui.mapper.TaActivityMapper;
import com.yunzhi.liyuanhui.service.ITaActivityService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.yunzhi.liyuanhui.service.ITaActivityVoteItemService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 活动 服务实现类
 * </p>
 *
 * @author yansen
 * @since 2020-08-08
 */
@Service
public class TaActivityServiceImpl extends ServiceImpl<TaActivityMapper, TaActivity> implements ITaActivityService {

    @Autowired
    ITaActivityVoteItemService iTaActivityVoteItemService;

    @Override
    public TaActivity getActivityProfile(Integer id) throws Exception {
        TaActivity taActivity = getById(id);

        QueryWrapper<TaActivityVoteItem> queryWrapper = new QueryWrapper<>();
        queryWrapper.eq("activity_id", id);
        queryWrapper.eq("status", StatusEnum.NORMAL.getCode());
        queryWrapper.orderByAsc("sort_no");

        taActivity.setVoteItemList(iTaActivityVoteItemService.list(queryWrapper));
        return taActivity;
    }
}
